Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.groups.local
Class EntitySearcherImpl

    java.lang.Object
      org.jasig.portal.groups.local.EntitySearcherImpl

All Implemented Interfaces:
  IEntitySearcher

    public class EntitySearcherImpl

extends java.lang.Object
implements IEntitySearcher

An IEntitySearcher implementation for the local portal group service. Uses implementations of ITypedEntitySearcher to do the dirty work.

Version:
  $Revision: 1.3 $
Author:
  Alex Vigdor

Field Summary
`protected ITypedEntitySearcher[]` | `searchers`

Constructor Summary
`EntitySearcherImpl(ITypedEntitySearcher[] searchers)`

Method Summary
`EntityIdentifier[]` | `searchForEntities(java.lang.String query, int method, java.lang.Class type)` Find EntityIdentifiers for entities whose name matches the query string according to the specified method and is of the specified type

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### searchers

    protected ITypedEntitySearcher[] searchers

Constructor Detail

### EntitySearcherImpl

    public EntitySearcherImpl(ITypedEntitySearcher[] searchers)

Method Detail

### searchForEntities

    public EntityIdentifier[] searchForEntities(java.lang.String query,
                                                int method,
                                                java.lang.Class type)
                                         throws GroupsException

  Description copied from interface: `IEntitySearcher`
  Find EntityIdentifiers for entities whose name matches the query string according to the specified method and is of the specified type

  Specified by:
    `searchForEntities` in interface `IEntitySearcher`
  Throws:
    `GroupsException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD